// Generated by CoffeeScript 1.6.3
(function() {
  window.api_key = 'special-key';

  describe('SwaggerRequest for version 1.2 spec', function() {
    beforeEach(function() {
      var success;
      success = function() {
        return log("success");
      };
      window.authorizations.add("key", new ApiKeyAuthorization("api_key", "special-key", "header"));
      window.swagger = new SwaggerApi({
        url: 'http://localhost:8002/api/api-docs',
        success: success
      });
      return waitsFor(function() {
        return swagger.ready != null;
      });
    });
    return describe("builds a get request object", function() {
      beforeEach(function() {
        window.body = null;
        window.response = null;
        window.callback = null;
        window.error = null;
        window.success_callback = function(data) {
          return window.response = data;
        };
        return window.error_callback = function(data) {
          return window.error = data;
        };
      });
      it("verifies the response messages from the get operation", function() {
        swagger.pet.getPetById({
          petId: 1
        }, window.success_callback);
        waitsFor(function() {
          return window.response != null;
        });
        return runs(function() {
          var pet;
          pet = JSON.parse(window.response.data);
          return expect(pet.id).toBe(1);
        });
      });
      return it("verifies the response messages from the get operation with query params", function() {
        swagger.pet.findPetsByStatus({
          status: "available"
        }, window.success_callback);
        waitsFor(function() {
          return window.response != null;
        });
        return runs(function() {
          var pet;
          pet = JSON.parse(window.response.data);
          log(pet);
          return expect(pet.code).toNotBe(400);
        });
      });
    });
  });

}).call(this);
